<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<XMLDefinition Generator="Iron Speed Designer" Version="9.2" Type="VIEW">
  <ColumnDefinition>
    <Column InternalName="0" Priority="1" ColumnNum="0">
      <columnName>PersonalId</columnName>
      <columnUIName>%ISD_DEFAULT%</columnUIName>
      <columnType>String</columnType>
      <columnDBType>nvarchar</columnDBType>
      <columnLengthSet>13</columnLengthSet>
      <columnDefault>
      </columnDefault>
      <columnDBDefault>
      </columnDBDefault>
      <columnIndex>N</columnIndex>
      <columnUnique>N</columnUnique>
      <columnFunction>notrim,</columnFunction>
      <columnDBFormat>
      </columnDBFormat>
      <columnPK>Y</columnPK>
      <columnPermanent>N</columnPermanent>
      <columnComputed>N</columnComputed>
      <columnIdentity>N</columnIdentity>
      <columnReadOnly>N</columnReadOnly>
      <columnRequired>Y</columnRequired>
      <columnNotNull>N</columnNotNull>
      <columnCaseSensitive Source="Database">N</columnCaseSensitive>
      <columnCollation>Thai_CI_AS</columnCollation>
      <columnFullText>N</columnFullText>
      <columnVisibleWidth>%ISD_DEFAULT%</columnVisibleWidth>
      <columnTableAliasName>
      </columnTableAliasName>
      <applyLabelText>Y</applyLabelText>
      <columnVirtualPK Source="User">Y</columnVirtualPK>
      <applyDFKA>N</applyDFKA>
      <applyInitializeInsertingRecord>N</applyInitializeInsertingRecord>
      <applyInitializeReadingRecord>N</applyInitializeReadingRecord>
      <applyInitializeUpdatingRecord>N</applyInitializeUpdatingRecord>
      <applyValidateInsertingRecord>N</applyValidateInsertingRecord>
      <applyValidateUpdatingRecord>N</applyValidateUpdatingRecord>
      <applyDefaultValue>N</applyDefaultValue>
      <insertingRecordFormula>
      </insertingRecordFormula>
      <readingRecordFormula>
      </readingRecordFormula>
      <updatingRecordFormula>
      </updatingRecordFormula>
      <insertingFormula>
      </insertingFormula>
      <updatingFormula>
      </updatingFormula>
    </Column>
    <Column InternalName="1" Priority="2" ColumnNum="1">
      <columnName>RankId</columnName>
      <columnUIName>%ISD_DEFAULT%</columnUIName>
      <columnType>Number</columnType>
      <columnDBType>int</columnDBType>
      <columnLengthSet>10.0</columnLengthSet>
      <columnDefault>
      </columnDefault>
      <columnDBDefault>
      </columnDBDefault>
      <columnIndex>N</columnIndex>
      <columnUnique>N</columnUnique>
      <columnFunction>
      </columnFunction>
      <columnDBFormat>
      </columnDBFormat>
      <columnPK>N</columnPK>
      <columnPermanent>N</columnPermanent>
      <columnComputed>N</columnComputed>
      <columnIdentity>N</columnIdentity>
      <columnReadOnly>N</columnReadOnly>
      <columnRequired>Y</columnRequired>
      <columnNotNull>Y</columnNotNull>
      <columnCaseSensitive>N</columnCaseSensitive>
      <columnCollation>
      </columnCollation>
      <columnFullText>N</columnFullText>
      <columnVisibleWidth>%ISD_DEFAULT%</columnVisibleWidth>
      <columnTableAliasName>
      </columnTableAliasName>
      <applyLabelText>Y</applyLabelText>
      <applyDFKA>N</applyDFKA>
      <applyInitializeInsertingRecord>N</applyInitializeInsertingRecord>
      <applyInitializeReadingRecord>N</applyInitializeReadingRecord>
      <applyInitializeUpdatingRecord>N</applyInitializeUpdatingRecord>
      <applyValidateInsertingRecord>N</applyValidateInsertingRecord>
      <applyValidateUpdatingRecord>N</applyValidateUpdatingRecord>
      <applyDefaultValue>N</applyDefaultValue>
      <insertingRecordFormula>
      </insertingRecordFormula>
      <readingRecordFormula>
      </readingRecordFormula>
      <updatingRecordFormula>
      </updatingRecordFormula>
      <insertingFormula>
      </insertingFormula>
      <updatingFormula>
      </updatingFormula>
    </Column>
    <Column InternalName="2" Priority="3" ColumnNum="2">
      <columnName>ShortRankNormal</columnName>
      <columnUIName>%ISD_DEFAULT%</columnUIName>
      <columnType>String</columnType>
      <columnDBType>nvarchar</columnDBType>
      <columnLengthSet>50</columnLengthSet>
      <columnDefault>
      </columnDefault>
      <columnDBDefault>
      </columnDBDefault>
      <columnIndex>N</columnIndex>
      <columnUnique>N</columnUnique>
      <columnFunction>
      </columnFunction>
      <columnDBFormat>
      </columnDBFormat>
      <columnPK>N</columnPK>
      <columnPermanent>N</columnPermanent>
      <columnComputed>N</columnComputed>
      <columnIdentity>N</columnIdentity>
      <columnReadOnly>N</columnReadOnly>
      <columnRequired>N</columnRequired>
      <columnNotNull>N</columnNotNull>
      <columnCaseSensitive Source="Database">N</columnCaseSensitive>
      <columnCollation>Thai_CI_AS</columnCollation>
      <columnFullText>N</columnFullText>
      <columnVisibleWidth>%ISD_DEFAULT%</columnVisibleWidth>
      <columnTableAliasName>
      </columnTableAliasName>
      <applyLabelText>Y</applyLabelText>
      <applyDFKA>N</applyDFKA>
      <applyInitializeInsertingRecord>N</applyInitializeInsertingRecord>
      <applyInitializeReadingRecord>N</applyInitializeReadingRecord>
      <applyInitializeUpdatingRecord>N</applyInitializeUpdatingRecord>
      <applyValidateInsertingRecord>N</applyValidateInsertingRecord>
      <applyValidateUpdatingRecord>N</applyValidateUpdatingRecord>
      <applyDefaultValue>N</applyDefaultValue>
      <insertingRecordFormula>
      </insertingRecordFormula>
      <readingRecordFormula>
      </readingRecordFormula>
      <updatingRecordFormula>
      </updatingRecordFormula>
      <insertingFormula>
      </insertingFormula>
      <updatingFormula>
      </updatingFormula>
    </Column>
    <Column InternalName="3" Priority="4" ColumnNum="3">
      <columnName>PersonalName</columnName>
      <columnUIName>%ISD_DEFAULT%</columnUIName>
      <columnType>String</columnType>
      <columnDBType>nvarchar</columnDBType>
      <columnLengthSet>50</columnLengthSet>
      <columnDefault>
      </columnDefault>
      <columnDBDefault>
      </columnDBDefault>
      <columnIndex>N</columnIndex>
      <columnUnique>N</columnUnique>
      <columnFunction>
      </columnFunction>
      <columnDBFormat>
      </columnDBFormat>
      <columnPK>N</columnPK>
      <columnPermanent>N</columnPermanent>
      <columnComputed>N</columnComputed>
      <columnIdentity>N</columnIdentity>
      <columnReadOnly>N</columnReadOnly>
      <columnRequired>N</columnRequired>
      <columnNotNull>N</columnNotNull>
      <columnCaseSensitive Source="Database">N</columnCaseSensitive>
      <columnCollation>Thai_CI_AS</columnCollation>
      <columnFullText>N</columnFullText>
      <columnVisibleWidth>%ISD_DEFAULT%</columnVisibleWidth>
      <columnTableAliasName>
      </columnTableAliasName>
      <applyLabelText>Y</applyLabelText>
      <applyDFKA>N</applyDFKA>
      <applyInitializeInsertingRecord>N</applyInitializeInsertingRecord>
      <applyInitializeReadingRecord>N</applyInitializeReadingRecord>
      <applyInitializeUpdatingRecord>N</applyInitializeUpdatingRecord>
      <applyValidateInsertingRecord>N</applyValidateInsertingRecord>
      <applyValidateUpdatingRecord>N</applyValidateUpdatingRecord>
      <applyDefaultValue>N</applyDefaultValue>
      <insertingRecordFormula>
      </insertingRecordFormula>
      <readingRecordFormula>
      </readingRecordFormula>
      <updatingRecordFormula>
      </updatingRecordFormula>
      <insertingFormula>
      </insertingFormula>
      <updatingFormula>
      </updatingFormula>
    </Column>
    <Column InternalName="4" Priority="5" ColumnNum="4">
      <columnName>PersonalLastName</columnName>
      <columnUIName>%ISD_DEFAULT%</columnUIName>
      <columnType>String</columnType>
      <columnDBType>nvarchar</columnDBType>
      <columnLengthSet>50</columnLengthSet>
      <columnDefault>
      </columnDefault>
      <columnDBDefault>
      </columnDBDefault>
      <columnIndex>N</columnIndex>
      <columnUnique>N</columnUnique>
      <columnFunction>
      </columnFunction>
      <columnDBFormat>
      </columnDBFormat>
      <columnPK>N</columnPK>
      <columnPermanent>N</columnPermanent>
      <columnComputed>N</columnComputed>
      <columnIdentity>N</columnIdentity>
      <columnReadOnly>N</columnReadOnly>
      <columnRequired>N</columnRequired>
      <columnNotNull>N</columnNotNull>
      <columnCaseSensitive Source="Database">N</columnCaseSensitive>
      <columnCollation>Thai_CI_AS</columnCollation>
      <columnFullText>N</columnFullText>
      <columnVisibleWidth>%ISD_DEFAULT%</columnVisibleWidth>
      <columnTableAliasName>
      </columnTableAliasName>
      <applyLabelText>Y</applyLabelText>
      <applyDFKA>N</applyDFKA>
      <applyInitializeInsertingRecord>N</applyInitializeInsertingRecord>
      <applyInitializeReadingRecord>N</applyInitializeReadingRecord>
      <applyInitializeUpdatingRecord>N</applyInitializeUpdatingRecord>
      <applyValidateInsertingRecord>N</applyValidateInsertingRecord>
      <applyValidateUpdatingRecord>N</applyValidateUpdatingRecord>
      <applyDefaultValue>N</applyDefaultValue>
      <insertingRecordFormula>
      </insertingRecordFormula>
      <readingRecordFormula>
      </readingRecordFormula>
      <updatingRecordFormula>
      </updatingRecordFormula>
      <insertingFormula>
      </insertingFormula>
      <updatingFormula>
      </updatingFormula>
    </Column>
    <Column InternalName="5" Priority="6" ColumnNum="5">
      <columnName>SectionName</columnName>
      <columnUIName>%ISD_DEFAULT%</columnUIName>
      <columnType>String</columnType>
      <columnDBType>nvarchar</columnDBType>
      <columnLengthSet>100</columnLengthSet>
      <columnDefault>
      </columnDefault>
      <columnDBDefault>
      </columnDBDefault>
      <columnIndex>N</columnIndex>
      <columnUnique>N</columnUnique>
      <columnFunction>
      </columnFunction>
      <columnDBFormat>
      </columnDBFormat>
      <columnPK>N</columnPK>
      <columnPermanent>N</columnPermanent>
      <columnComputed>N</columnComputed>
      <columnIdentity>N</columnIdentity>
      <columnReadOnly>N</columnReadOnly>
      <columnRequired>N</columnRequired>
      <columnNotNull>N</columnNotNull>
      <columnCaseSensitive Source="Database">N</columnCaseSensitive>
      <columnCollation>Thai_CI_AS</columnCollation>
      <columnFullText>N</columnFullText>
      <columnVisibleWidth>%ISD_DEFAULT%</columnVisibleWidth>
      <columnTableAliasName>
      </columnTableAliasName>
      <applyLabelText>Y</applyLabelText>
      <applyDFKA>N</applyDFKA>
      <applyInitializeInsertingRecord>N</applyInitializeInsertingRecord>
      <applyInitializeReadingRecord>N</applyInitializeReadingRecord>
      <applyInitializeUpdatingRecord>N</applyInitializeUpdatingRecord>
      <applyValidateInsertingRecord>N</applyValidateInsertingRecord>
      <applyValidateUpdatingRecord>N</applyValidateUpdatingRecord>
      <applyDefaultValue>N</applyDefaultValue>
      <insertingRecordFormula>
      </insertingRecordFormula>
      <readingRecordFormula>
      </readingRecordFormula>
      <updatingRecordFormula>
      </updatingRecordFormula>
      <insertingFormula>
      </insertingFormula>
      <updatingFormula>
      </updatingFormula>
    </Column>
    <Column InternalName="6" Priority="7" ColumnNum="6">
      <columnName>Level</columnName>
      <columnUIName>ระดับการศึกษา</columnUIName>
      <columnType>String</columnType>
      <columnDBType>nvarchar</columnDBType>
      <columnLengthSet>50</columnLengthSet>
      <columnDefault>
      </columnDefault>
      <columnDBDefault>
      </columnDBDefault>
      <columnIndex>N</columnIndex>
      <columnUnique>N</columnUnique>
      <columnFunction>
      </columnFunction>
      <columnDBFormat>
      </columnDBFormat>
      <columnPK>N</columnPK>
      <columnPermanent>N</columnPermanent>
      <columnComputed>N</columnComputed>
      <columnIdentity>N</columnIdentity>
      <columnReadOnly>N</columnReadOnly>
      <columnRequired>N</columnRequired>
      <columnNotNull>N</columnNotNull>
      <columnCaseSensitive Source="Database">N</columnCaseSensitive>
      <columnCollation>Thai_CI_AS</columnCollation>
      <columnFullText>N</columnFullText>
      <columnVisibleWidth>%ISD_DEFAULT%</columnVisibleWidth>
      <columnTableAliasName>
      </columnTableAliasName>
      <applyLabelText>Y</applyLabelText>
      <applyDFKA>N</applyDFKA>
      <applyInitializeInsertingRecord>N</applyInitializeInsertingRecord>
      <applyInitializeReadingRecord>N</applyInitializeReadingRecord>
      <applyInitializeUpdatingRecord>N</applyInitializeUpdatingRecord>
      <applyValidateInsertingRecord>N</applyValidateInsertingRecord>
      <applyValidateUpdatingRecord>N</applyValidateUpdatingRecord>
      <applyDefaultValue>N</applyDefaultValue>
      <insertingRecordFormula>
      </insertingRecordFormula>
      <readingRecordFormula>
      </readingRecordFormula>
      <updatingRecordFormula>
      </updatingRecordFormula>
      <insertingFormula>
      </insertingFormula>
      <updatingFormula>
      </updatingFormula>
    </Column>
    <Column InternalName="7" Priority="8" ColumnNum="7">
      <columnName>StartDate</columnName>
      <columnUIName>%ISD_DEFAULT%</columnUIName>
      <columnType>Date</columnType>
      <columnDBType>datetime</columnDBType>
      <columnLengthSet>
      </columnLengthSet>
      <columnDefault>
      </columnDefault>
      <columnDBDefault>
      </columnDBDefault>
      <columnIndex>N</columnIndex>
      <columnUnique>N</columnUnique>
      <columnFunction>
      </columnFunction>
      <columnFormat>g</columnFormat>
      <columnDBFormat>g</columnDBFormat>
      <columnPK>N</columnPK>
      <columnPermanent>N</columnPermanent>
      <columnComputed>N</columnComputed>
      <columnIdentity>N</columnIdentity>
      <columnReadOnly>N</columnReadOnly>
      <columnRequired>N</columnRequired>
      <columnNotNull>N</columnNotNull>
      <columnCaseSensitive>N</columnCaseSensitive>
      <columnCollation>
      </columnCollation>
      <columnFullText>N</columnFullText>
      <columnVisibleWidth>%ISD_DEFAULT%</columnVisibleWidth>
      <columnTableAliasName>
      </columnTableAliasName>
      <applyLabelText>Y</applyLabelText>
      <applyDFKA>N</applyDFKA>
      <applyInitializeInsertingRecord>N</applyInitializeInsertingRecord>
      <applyInitializeReadingRecord>N</applyInitializeReadingRecord>
      <applyInitializeUpdatingRecord>N</applyInitializeUpdatingRecord>
      <applyValidateInsertingRecord>N</applyValidateInsertingRecord>
      <applyValidateUpdatingRecord>N</applyValidateUpdatingRecord>
      <applyDefaultValue>N</applyDefaultValue>
      <insertingRecordFormula>
      </insertingRecordFormula>
      <readingRecordFormula>
      </readingRecordFormula>
      <updatingRecordFormula>
      </updatingRecordFormula>
      <insertingFormula>
      </insertingFormula>
      <updatingFormula>
      </updatingFormula>
    </Column>
    <Column InternalName="8" Priority="9" ColumnNum="8">
      <columnName>EndDate</columnName>
      <columnUIName>%ISD_DEFAULT%</columnUIName>
      <columnType>Date</columnType>
      <columnDBType>datetime</columnDBType>
      <columnLengthSet>
      </columnLengthSet>
      <columnDefault>
      </columnDefault>
      <columnDBDefault>
      </columnDBDefault>
      <columnIndex>N</columnIndex>
      <columnUnique>N</columnUnique>
      <columnFunction>
      </columnFunction>
      <columnFormat>g</columnFormat>
      <columnDBFormat>g</columnDBFormat>
      <columnPK>N</columnPK>
      <columnPermanent>N</columnPermanent>
      <columnComputed>N</columnComputed>
      <columnIdentity>N</columnIdentity>
      <columnReadOnly>N</columnReadOnly>
      <columnRequired>N</columnRequired>
      <columnNotNull>N</columnNotNull>
      <columnCaseSensitive>N</columnCaseSensitive>
      <columnCollation>
      </columnCollation>
      <columnFullText>N</columnFullText>
      <columnVisibleWidth>%ISD_DEFAULT%</columnVisibleWidth>
      <columnTableAliasName>
      </columnTableAliasName>
      <applyLabelText>Y</applyLabelText>
      <applyDFKA>N</applyDFKA>
      <applyInitializeInsertingRecord>N</applyInitializeInsertingRecord>
      <applyInitializeReadingRecord>N</applyInitializeReadingRecord>
      <applyInitializeUpdatingRecord>N</applyInitializeUpdatingRecord>
      <applyValidateInsertingRecord>N</applyValidateInsertingRecord>
      <applyValidateUpdatingRecord>N</applyValidateUpdatingRecord>
      <applyDefaultValue>N</applyDefaultValue>
      <insertingRecordFormula>
      </insertingRecordFormula>
      <readingRecordFormula>
      </readingRecordFormula>
      <updatingRecordFormula>
      </updatingRecordFormula>
      <insertingFormula>
      </insertingFormula>
      <updatingFormula>
      </updatingFormula>
    </Column>
    <Column InternalName="9" Priority="10" ColumnNum="9">
      <columnName>Course</columnName>
      <columnUIName>หลักสูตร</columnUIName>
      <columnType>String</columnType>
      <columnDBType>nvarchar</columnDBType>
      <columnLengthSet>60</columnLengthSet>
      <columnDefault>
      </columnDefault>
      <columnDBDefault>
      </columnDBDefault>
      <columnIndex>N</columnIndex>
      <columnUnique>N</columnUnique>
      <columnFunction>
      </columnFunction>
      <columnDBFormat>
      </columnDBFormat>
      <columnPK>N</columnPK>
      <columnPermanent>N</columnPermanent>
      <columnComputed>N</columnComputed>
      <columnIdentity>N</columnIdentity>
      <columnReadOnly>N</columnReadOnly>
      <columnRequired>N</columnRequired>
      <columnNotNull>N</columnNotNull>
      <columnCaseSensitive Source="Database">N</columnCaseSensitive>
      <columnCollation>Thai_CI_AS</columnCollation>
      <columnFullText>N</columnFullText>
      <columnVisibleWidth>%ISD_DEFAULT%</columnVisibleWidth>
      <columnTableAliasName>
      </columnTableAliasName>
      <applyLabelText>Y</applyLabelText>
      <applyDFKA>N</applyDFKA>
      <applyInitializeInsertingRecord>N</applyInitializeInsertingRecord>
      <applyInitializeReadingRecord>N</applyInitializeReadingRecord>
      <applyInitializeUpdatingRecord>N</applyInitializeUpdatingRecord>
      <applyValidateInsertingRecord>N</applyValidateInsertingRecord>
      <applyValidateUpdatingRecord>N</applyValidateUpdatingRecord>
      <applyDefaultValue>N</applyDefaultValue>
      <insertingRecordFormula>
      </insertingRecordFormula>
      <readingRecordFormula>
      </readingRecordFormula>
      <updatingRecordFormula>
      </updatingRecordFormula>
      <insertingFormula>
      </insertingFormula>
      <updatingFormula>
      </updatingFormula>
    </Column>
    <Column InternalName="10" Priority="11" ColumnNum="10">
      <columnName>CourseAbbr</columnName>
      <columnUIName>คุณวุฒิ</columnUIName>
      <columnType>String</columnType>
      <columnDBType>nvarchar</columnDBType>
      <columnLengthSet>50</columnLengthSet>
      <columnDefault>
      </columnDefault>
      <columnDBDefault>
      </columnDBDefault>
      <columnIndex>N</columnIndex>
      <columnUnique>N</columnUnique>
      <columnFunction>
      </columnFunction>
      <columnDBFormat>
      </columnDBFormat>
      <columnPK>N</columnPK>
      <columnPermanent>N</columnPermanent>
      <columnComputed>N</columnComputed>
      <columnIdentity>N</columnIdentity>
      <columnReadOnly>N</columnReadOnly>
      <columnRequired>N</columnRequired>
      <columnNotNull>N</columnNotNull>
      <columnCaseSensitive Source="Database">N</columnCaseSensitive>
      <columnCollation>Thai_CI_AS</columnCollation>
      <columnFullText>N</columnFullText>
      <columnVisibleWidth>%ISD_DEFAULT%</columnVisibleWidth>
      <columnTableAliasName>
      </columnTableAliasName>
      <applyLabelText>Y</applyLabelText>
      <applyDFKA>N</applyDFKA>
      <applyInitializeInsertingRecord>N</applyInitializeInsertingRecord>
      <applyInitializeReadingRecord>N</applyInitializeReadingRecord>
      <applyInitializeUpdatingRecord>N</applyInitializeUpdatingRecord>
      <applyValidateInsertingRecord>N</applyValidateInsertingRecord>
      <applyValidateUpdatingRecord>N</applyValidateUpdatingRecord>
      <applyDefaultValue>N</applyDefaultValue>
      <insertingRecordFormula>
      </insertingRecordFormula>
      <readingRecordFormula>
      </readingRecordFormula>
      <updatingRecordFormula>
      </updatingRecordFormula>
      <insertingFormula>
      </insertingFormula>
      <updatingFormula>
      </updatingFormula>
    </Column>
    <Column InternalName="11" Priority="12" ColumnNum="11">
      <columnName>Institue</columnName>
      <columnUIName Source="User">สถาบันการศึกษา</columnUIName>
      <columnType>String</columnType>
      <columnDBType>nvarchar</columnDBType>
      <columnLengthSet>60</columnLengthSet>
      <columnDefault>
      </columnDefault>
      <columnDBDefault>
      </columnDBDefault>
      <columnIndex>N</columnIndex>
      <columnUnique>N</columnUnique>
      <columnFunction>
      </columnFunction>
      <columnDBFormat>
      </columnDBFormat>
      <columnPK>N</columnPK>
      <columnPermanent>N</columnPermanent>
      <columnComputed>N</columnComputed>
      <columnIdentity>N</columnIdentity>
      <columnReadOnly>N</columnReadOnly>
      <columnRequired>N</columnRequired>
      <columnNotNull>N</columnNotNull>
      <columnCaseSensitive Source="Database">N</columnCaseSensitive>
      <columnCollation>Thai_CI_AS</columnCollation>
      <columnFullText>N</columnFullText>
      <columnVisibleWidth>%ISD_DEFAULT%</columnVisibleWidth>
      <columnTableAliasName>
      </columnTableAliasName>
      <applyLabelText>Y</applyLabelText>
      <applyDFKA>N</applyDFKA>
      <applyInitializeInsertingRecord>N</applyInitializeInsertingRecord>
      <applyInitializeReadingRecord>N</applyInitializeReadingRecord>
      <applyInitializeUpdatingRecord>N</applyInitializeUpdatingRecord>
      <applyValidateInsertingRecord>N</applyValidateInsertingRecord>
      <applyValidateUpdatingRecord>N</applyValidateUpdatingRecord>
      <applyDefaultValue>N</applyDefaultValue>
      <insertingRecordFormula>
      </insertingRecordFormula>
      <readingRecordFormula>
      </readingRecordFormula>
      <updatingRecordFormula>
      </updatingRecordFormula>
      <insertingFormula>
      </insertingFormula>
      <updatingFormula>
      </updatingFormula>
    </Column>
    <Column InternalName="12" Priority="13" ColumnNum="12">
      <columnName>Facultry</columnName>
      <columnUIName>สาขาวิชา</columnUIName>
      <columnType>String</columnType>
      <columnDBType>nvarchar</columnDBType>
      <columnLengthSet>60</columnLengthSet>
      <columnDefault>
      </columnDefault>
      <columnDBDefault>
      </columnDBDefault>
      <columnIndex>N</columnIndex>
      <columnUnique>N</columnUnique>
      <columnFunction>
      </columnFunction>
      <columnDBFormat>
      </columnDBFormat>
      <columnPK>N</columnPK>
      <columnPermanent>N</columnPermanent>
      <columnComputed>N</columnComputed>
      <columnIdentity>N</columnIdentity>
      <columnReadOnly>N</columnReadOnly>
      <columnRequired>N</columnRequired>
      <columnNotNull>N</columnNotNull>
      <columnCaseSensitive Source="Database">N</columnCaseSensitive>
      <columnCollation>Thai_CI_AS</columnCollation>
      <columnFullText>N</columnFullText>
      <columnVisibleWidth>%ISD_DEFAULT%</columnVisibleWidth>
      <columnTableAliasName>
      </columnTableAliasName>
      <applyLabelText>Y</applyLabelText>
      <applyDFKA>N</applyDFKA>
      <applyInitializeInsertingRecord>N</applyInitializeInsertingRecord>
      <applyInitializeReadingRecord>N</applyInitializeReadingRecord>
      <applyInitializeUpdatingRecord>N</applyInitializeUpdatingRecord>
      <applyValidateInsertingRecord>N</applyValidateInsertingRecord>
      <applyValidateUpdatingRecord>N</applyValidateUpdatingRecord>
      <applyDefaultValue>N</applyDefaultValue>
      <insertingRecordFormula>
      </insertingRecordFormula>
      <readingRecordFormula>
      </readingRecordFormula>
      <updatingRecordFormula>
      </updatingRecordFormula>
      <insertingFormula>
      </insertingFormula>
      <updatingFormula>
      </updatingFormula>
    </Column>
    <Column InternalName="13" Priority="14" ColumnNum="13">
      <columnName>LevelId</columnName>
      <columnUIName>%ISD_DEFAULT%</columnUIName>
      <columnType>Number</columnType>
      <columnDBType>smallint</columnDBType>
      <columnLengthSet>5.0</columnLengthSet>
      <columnDefault>
      </columnDefault>
      <columnDBDefault>
      </columnDBDefault>
      <columnIndex>N</columnIndex>
      <columnUnique>N</columnUnique>
      <columnFunction>
      </columnFunction>
      <columnDBFormat>
      </columnDBFormat>
      <columnPK>N</columnPK>
      <columnPermanent>N</columnPermanent>
      <columnComputed>N</columnComputed>
      <columnIdentity>N</columnIdentity>
      <columnReadOnly>N</columnReadOnly>
      <columnRequired>N</columnRequired>
      <columnNotNull>N</columnNotNull>
      <columnCaseSensitive>N</columnCaseSensitive>
      <columnCollation>
      </columnCollation>
      <columnFullText>N</columnFullText>
      <columnVisibleWidth>%ISD_DEFAULT%</columnVisibleWidth>
      <columnTableAliasName>
      </columnTableAliasName>
      <applyLabelText>Y</applyLabelText>
      <applyDFKA>N</applyDFKA>
      <applyInitializeInsertingRecord>N</applyInitializeInsertingRecord>
      <applyInitializeReadingRecord>N</applyInitializeReadingRecord>
      <applyInitializeUpdatingRecord>N</applyInitializeUpdatingRecord>
      <applyValidateInsertingRecord>N</applyValidateInsertingRecord>
      <applyValidateUpdatingRecord>N</applyValidateUpdatingRecord>
      <applyDefaultValue>N</applyDefaultValue>
      <insertingRecordFormula>
      </insertingRecordFormula>
      <readingRecordFormula>
      </readingRecordFormula>
      <updatingRecordFormula>
      </updatingRecordFormula>
      <insertingFormula>
      </insertingFormula>
      <updatingFormula>
      </updatingFormula>
    </Column>
    <Column InternalName="14" Priority="15" ColumnNum="14">
      <columnName>EdYear</columnName>
      <columnUIName>ปีการศึกษา</columnUIName>
      <columnType>String</columnType>
      <columnDBType>nvarchar</columnDBType>
      <columnLengthSet>4</columnLengthSet>
      <columnDefault>
      </columnDefault>
      <columnDBDefault>
      </columnDBDefault>
      <columnIndex>N</columnIndex>
      <columnUnique>N</columnUnique>
      <columnFunction>
      </columnFunction>
      <columnDBFormat>
      </columnDBFormat>
      <columnPK>N</columnPK>
      <columnPermanent>N</columnPermanent>
      <columnComputed>N</columnComputed>
      <columnIdentity>N</columnIdentity>
      <columnReadOnly>N</columnReadOnly>
      <columnRequired>N</columnRequired>
      <columnNotNull>N</columnNotNull>
      <columnCaseSensitive Source="Database">N</columnCaseSensitive>
      <columnCollation>Thai_CI_AS</columnCollation>
      <columnFullText>N</columnFullText>
      <columnVisibleWidth>%ISD_DEFAULT%</columnVisibleWidth>
      <columnTableAliasName>
      </columnTableAliasName>
      <applyLabelText>Y</applyLabelText>
      <applyDFKA>N</applyDFKA>
      <applyInitializeInsertingRecord>N</applyInitializeInsertingRecord>
      <applyInitializeReadingRecord>N</applyInitializeReadingRecord>
      <applyInitializeUpdatingRecord>N</applyInitializeUpdatingRecord>
      <applyValidateInsertingRecord>N</applyValidateInsertingRecord>
      <applyValidateUpdatingRecord>N</applyValidateUpdatingRecord>
      <applyDefaultValue>N</applyDefaultValue>
      <insertingRecordFormula>
      </insertingRecordFormula>
      <readingRecordFormula>
      </readingRecordFormula>
      <updatingRecordFormula>
      </updatingRecordFormula>
      <insertingFormula>
      </insertingFormula>
      <updatingFormula>
      </updatingFormula>
    </Column>
    <Column InternalName="15" Priority="16" ColumnNum="15">
      <columnName>EducationPeriod</columnName>
      <columnUIName>%ISD_DEFAULT%</columnUIName>
      <columnType>Number</columnType>
      <columnDBType>tinyint</columnDBType>
      <columnLengthSet>3.0</columnLengthSet>
      <columnDefault>
      </columnDefault>
      <columnDBDefault>
      </columnDBDefault>
      <columnIndex>N</columnIndex>
      <columnUnique>N</columnUnique>
      <columnFunction>
      </columnFunction>
      <columnDBFormat>
      </columnDBFormat>
      <columnPK>N</columnPK>
      <columnPermanent>N</columnPermanent>
      <columnComputed>N</columnComputed>
      <columnIdentity>N</columnIdentity>
      <columnReadOnly>N</columnReadOnly>
      <columnRequired>N</columnRequired>
      <columnNotNull>N</columnNotNull>
      <columnCaseSensitive>N</columnCaseSensitive>
      <columnCollation>
      </columnCollation>
      <columnFullText>N</columnFullText>
      <columnVisibleWidth>%ISD_DEFAULT%</columnVisibleWidth>
      <columnTableAliasName>
      </columnTableAliasName>
      <applyLabelText>Y</applyLabelText>
      <applyDFKA>N</applyDFKA>
      <applyInitializeInsertingRecord>N</applyInitializeInsertingRecord>
      <applyInitializeReadingRecord>N</applyInitializeReadingRecord>
      <applyInitializeUpdatingRecord>N</applyInitializeUpdatingRecord>
      <applyValidateInsertingRecord>N</applyValidateInsertingRecord>
      <applyValidateUpdatingRecord>N</applyValidateUpdatingRecord>
      <applyDefaultValue>N</applyDefaultValue>
      <insertingRecordFormula>
      </insertingRecordFormula>
      <readingRecordFormula>
      </readingRecordFormula>
      <updatingRecordFormula>
      </updatingRecordFormula>
      <insertingFormula>
      </insertingFormula>
      <updatingFormula>
      </updatingFormula>
    </Column>
    <Column InternalName="16" Priority="17" ColumnNum="16">
      <columnName>EducationType</columnName>
      <columnUIName>%ISD_DEFAULT%</columnUIName>
      <columnType>Number</columnType>
      <columnDBType>tinyint</columnDBType>
      <columnLengthSet>3.0</columnLengthSet>
      <columnDefault>
      </columnDefault>
      <columnDBDefault>
      </columnDBDefault>
      <columnIndex>N</columnIndex>
      <columnUnique>N</columnUnique>
      <columnFunction>
      </columnFunction>
      <columnDBFormat>
      </columnDBFormat>
      <columnPK>N</columnPK>
      <columnPermanent>N</columnPermanent>
      <columnComputed>N</columnComputed>
      <columnIdentity>N</columnIdentity>
      <columnReadOnly>N</columnReadOnly>
      <columnRequired>N</columnRequired>
      <columnNotNull>N</columnNotNull>
      <columnCaseSensitive>N</columnCaseSensitive>
      <columnCollation>
      </columnCollation>
      <columnFullText>N</columnFullText>
      <columnVisibleWidth>%ISD_DEFAULT%</columnVisibleWidth>
      <columnTableAliasName>
      </columnTableAliasName>
      <applyLabelText>Y</applyLabelText>
      <applyDFKA>N</applyDFKA>
      <applyInitializeInsertingRecord>N</applyInitializeInsertingRecord>
      <applyInitializeReadingRecord>N</applyInitializeReadingRecord>
      <applyInitializeUpdatingRecord>N</applyInitializeUpdatingRecord>
      <applyValidateInsertingRecord>N</applyValidateInsertingRecord>
      <applyValidateUpdatingRecord>N</applyValidateUpdatingRecord>
      <applyDefaultValue>N</applyDefaultValue>
      <insertingRecordFormula>
      </insertingRecordFormula>
      <readingRecordFormula>
      </readingRecordFormula>
      <updatingRecordFormula>
      </updatingRecordFormula>
      <insertingFormula>
      </insertingFormula>
      <updatingFormula>
      </updatingFormula>
    </Column>
    <Column InternalName="17" Priority="18" ColumnNum="17">
      <columnName>CourseNo</columnName>
      <columnUIName>%ISD_DEFAULT%</columnUIName>
      <columnType>String</columnType>
      <columnDBType>nvarchar</columnDBType>
      <columnLengthSet>3</columnLengthSet>
      <columnDefault>
      </columnDefault>
      <columnDBDefault>
      </columnDBDefault>
      <columnIndex>N</columnIndex>
      <columnUnique>N</columnUnique>
      <columnFunction>
      </columnFunction>
      <columnDBFormat>
      </columnDBFormat>
      <columnPK>N</columnPK>
      <columnPermanent>N</columnPermanent>
      <columnComputed>N</columnComputed>
      <columnIdentity>N</columnIdentity>
      <columnReadOnly>N</columnReadOnly>
      <columnRequired>N</columnRequired>
      <columnNotNull>N</columnNotNull>
      <columnCaseSensitive Source="Database">N</columnCaseSensitive>
      <columnCollation>Thai_CI_AS</columnCollation>
      <columnFullText>N</columnFullText>
      <columnVisibleWidth>%ISD_DEFAULT%</columnVisibleWidth>
      <columnTableAliasName>
      </columnTableAliasName>
      <applyLabelText>Y</applyLabelText>
      <applyDFKA>N</applyDFKA>
      <applyInitializeInsertingRecord>N</applyInitializeInsertingRecord>
      <applyInitializeReadingRecord>N</applyInitializeReadingRecord>
      <applyInitializeUpdatingRecord>N</applyInitializeUpdatingRecord>
      <applyValidateInsertingRecord>N</applyValidateInsertingRecord>
      <applyValidateUpdatingRecord>N</applyValidateUpdatingRecord>
      <applyDefaultValue>N</applyDefaultValue>
      <insertingRecordFormula>
      </insertingRecordFormula>
      <readingRecordFormula>
      </readingRecordFormula>
      <updatingRecordFormula>
      </updatingRecordFormula>
      <insertingFormula>
      </insertingFormula>
      <updatingFormula>
      </updatingFormula>
    </Column>
    <Column InternalName="18" Priority="19" ColumnNum="18">
      <columnName>ScoreNo</columnName>
      <columnUIName>%ISD_DEFAULT%</columnUIName>
      <columnType>String</columnType>
      <columnDBType>nvarchar</columnDBType>
      <columnLengthSet>3</columnLengthSet>
      <columnDefault>
      </columnDefault>
      <columnDBDefault>
      </columnDBDefault>
      <columnIndex>N</columnIndex>
      <columnUnique>N</columnUnique>
      <columnFunction>
      </columnFunction>
      <columnDBFormat>
      </columnDBFormat>
      <columnPK>N</columnPK>
      <columnPermanent>N</columnPermanent>
      <columnComputed>N</columnComputed>
      <columnIdentity>N</columnIdentity>
      <columnReadOnly>N</columnReadOnly>
      <columnRequired>N</columnRequired>
      <columnNotNull>N</columnNotNull>
      <columnCaseSensitive Source="Database">N</columnCaseSensitive>
      <columnCollation>Thai_CI_AS</columnCollation>
      <columnFullText>N</columnFullText>
      <columnVisibleWidth>%ISD_DEFAULT%</columnVisibleWidth>
      <columnTableAliasName>
      </columnTableAliasName>
      <applyLabelText>Y</applyLabelText>
      <applyDFKA>N</applyDFKA>
      <applyInitializeInsertingRecord>N</applyInitializeInsertingRecord>
      <applyInitializeReadingRecord>N</applyInitializeReadingRecord>
      <applyInitializeUpdatingRecord>N</applyInitializeUpdatingRecord>
      <applyValidateInsertingRecord>N</applyValidateInsertingRecord>
      <applyValidateUpdatingRecord>N</applyValidateUpdatingRecord>
      <applyDefaultValue>N</applyDefaultValue>
      <insertingRecordFormula>
      </insertingRecordFormula>
      <readingRecordFormula>
      </readingRecordFormula>
      <updatingRecordFormula>
      </updatingRecordFormula>
      <insertingFormula>
      </insertingFormula>
      <updatingFormula>
      </updatingFormula>
    </Column>
    <Column InternalName="19" Priority="20" ColumnNum="19">
      <columnName>NoAll</columnName>
      <columnUIName>%ISD_DEFAULT%</columnUIName>
      <columnType>String</columnType>
      <columnDBType>nvarchar</columnDBType>
      <columnLengthSet>3</columnLengthSet>
      <columnDefault>
      </columnDefault>
      <columnDBDefault>
      </columnDBDefault>
      <columnIndex>N</columnIndex>
      <columnUnique>N</columnUnique>
      <columnFunction>
      </columnFunction>
      <columnDBFormat>
      </columnDBFormat>
      <columnPK>N</columnPK>
      <columnPermanent>N</columnPermanent>
      <columnComputed>N</columnComputed>
      <columnIdentity>N</columnIdentity>
      <columnReadOnly>N</columnReadOnly>
      <columnRequired>N</columnRequired>
      <columnNotNull>N</columnNotNull>
      <columnCaseSensitive Source="Database">N</columnCaseSensitive>
      <columnCollation>Thai_CI_AS</columnCollation>
      <columnFullText>N</columnFullText>
      <columnVisibleWidth>%ISD_DEFAULT%</columnVisibleWidth>
      <columnTableAliasName>
      </columnTableAliasName>
      <applyLabelText>Y</applyLabelText>
      <applyDFKA>N</applyDFKA>
      <applyInitializeInsertingRecord>N</applyInitializeInsertingRecord>
      <applyInitializeReadingRecord>N</applyInitializeReadingRecord>
      <applyInitializeUpdatingRecord>N</applyInitializeUpdatingRecord>
      <applyValidateInsertingRecord>N</applyValidateInsertingRecord>
      <applyValidateUpdatingRecord>N</applyValidateUpdatingRecord>
      <applyDefaultValue>N</applyDefaultValue>
      <insertingRecordFormula>
      </insertingRecordFormula>
      <readingRecordFormula>
      </readingRecordFormula>
      <updatingRecordFormula>
      </updatingRecordFormula>
      <insertingFormula>
      </insertingFormula>
      <updatingFormula>
      </updatingFormula>
    </Column>
    <Column InternalName="20" Priority="21" ColumnNum="20">
      <columnName>Score</columnName>
      <columnUIName>%ISD_DEFAULT%</columnUIName>
      <columnType>String</columnType>
      <columnDBType>nvarchar</columnDBType>
      <columnLengthSet>5</columnLengthSet>
      <columnDefault>
      </columnDefault>
      <columnDBDefault>
      </columnDBDefault>
      <columnIndex>N</columnIndex>
      <columnUnique>N</columnUnique>
      <columnFunction>
      </columnFunction>
      <columnDBFormat>
      </columnDBFormat>
      <columnPK>N</columnPK>
      <columnPermanent>N</columnPermanent>
      <columnComputed>N</columnComputed>
      <columnIdentity>N</columnIdentity>
      <columnReadOnly>N</columnReadOnly>
      <columnRequired>N</columnRequired>
      <columnNotNull>N</columnNotNull>
      <columnCaseSensitive Source="Database">N</columnCaseSensitive>
      <columnCollation>Thai_CI_AS</columnCollation>
      <columnFullText>N</columnFullText>
      <columnVisibleWidth>%ISD_DEFAULT%</columnVisibleWidth>
      <columnTableAliasName>
      </columnTableAliasName>
      <applyLabelText>Y</applyLabelText>
      <applyDFKA>N</applyDFKA>
      <applyInitializeInsertingRecord>N</applyInitializeInsertingRecord>
      <applyInitializeReadingRecord>N</applyInitializeReadingRecord>
      <applyInitializeUpdatingRecord>N</applyInitializeUpdatingRecord>
      <applyValidateInsertingRecord>N</applyValidateInsertingRecord>
      <applyValidateUpdatingRecord>N</applyValidateUpdatingRecord>
      <applyDefaultValue>N</applyDefaultValue>
      <insertingRecordFormula>
      </insertingRecordFormula>
      <readingRecordFormula>
      </readingRecordFormula>
      <updatingRecordFormula>
      </updatingRecordFormula>
      <insertingFormula>
      </insertingFormula>
      <updatingFormula>
      </updatingFormula>
    </Column>
    <Column InternalName="21" Priority="22" ColumnNum="21">
      <columnName>Command</columnName>
      <columnUIName>%ISD_DEFAULT%</columnUIName>
      <columnType>String</columnType>
      <columnDBType>nvarchar</columnDBType>
      <columnLengthSet>50</columnLengthSet>
      <columnDefault>
      </columnDefault>
      <columnDBDefault>
      </columnDBDefault>
      <columnIndex>N</columnIndex>
      <columnUnique>N</columnUnique>
      <columnFunction>
      </columnFunction>
      <columnDBFormat>
      </columnDBFormat>
      <columnPK>N</columnPK>
      <columnPermanent>N</columnPermanent>
      <columnComputed>N</columnComputed>
      <columnIdentity>N</columnIdentity>
      <columnReadOnly>N</columnReadOnly>
      <columnRequired>N</columnRequired>
      <columnNotNull>N</columnNotNull>
      <columnCaseSensitive Source="Database">N</columnCaseSensitive>
      <columnCollation>Thai_CI_AS</columnCollation>
      <columnFullText>N</columnFullText>
      <columnVisibleWidth>%ISD_DEFAULT%</columnVisibleWidth>
      <columnTableAliasName>
      </columnTableAliasName>
      <applyLabelText>Y</applyLabelText>
      <applyDFKA>N</applyDFKA>
      <applyInitializeInsertingRecord>N</applyInitializeInsertingRecord>
      <applyInitializeReadingRecord>N</applyInitializeReadingRecord>
      <applyInitializeUpdatingRecord>N</applyInitializeUpdatingRecord>
      <applyValidateInsertingRecord>N</applyValidateInsertingRecord>
      <applyValidateUpdatingRecord>N</applyValidateUpdatingRecord>
      <applyDefaultValue>N</applyDefaultValue>
      <insertingRecordFormula>
      </insertingRecordFormula>
      <readingRecordFormula>
      </readingRecordFormula>
      <updatingRecordFormula>
      </updatingRecordFormula>
      <insertingFormula>
      </insertingFormula>
      <updatingFormula>
      </updatingFormula>
    </Column>
    <Column InternalName="22" Priority="23" ColumnNum="22">
      <columnName>CommandDate</columnName>
      <columnUIName>%ISD_DEFAULT%</columnUIName>
      <columnType>Date</columnType>
      <columnDBType>datetime</columnDBType>
      <columnLengthSet>
      </columnLengthSet>
      <columnDefault>
      </columnDefault>
      <columnDBDefault>
      </columnDBDefault>
      <columnIndex>N</columnIndex>
      <columnUnique>N</columnUnique>
      <columnFunction>
      </columnFunction>
      <columnFormat>g</columnFormat>
      <columnDBFormat>g</columnDBFormat>
      <columnPK>N</columnPK>
      <columnPermanent>N</columnPermanent>
      <columnComputed>N</columnComputed>
      <columnIdentity>N</columnIdentity>
      <columnReadOnly>N</columnReadOnly>
      <columnRequired>N</columnRequired>
      <columnNotNull>N</columnNotNull>
      <columnCaseSensitive>N</columnCaseSensitive>
      <columnCollation>
      </columnCollation>
      <columnFullText>N</columnFullText>
      <columnVisibleWidth>%ISD_DEFAULT%</columnVisibleWidth>
      <columnTableAliasName>
      </columnTableAliasName>
      <applyLabelText>Y</applyLabelText>
      <applyDFKA>N</applyDFKA>
      <applyInitializeInsertingRecord>N</applyInitializeInsertingRecord>
      <applyInitializeReadingRecord>N</applyInitializeReadingRecord>
      <applyInitializeUpdatingRecord>N</applyInitializeUpdatingRecord>
      <applyValidateInsertingRecord>N</applyValidateInsertingRecord>
      <applyValidateUpdatingRecord>N</applyValidateUpdatingRecord>
      <applyDefaultValue>N</applyDefaultValue>
      <insertingRecordFormula>
      </insertingRecordFormula>
      <readingRecordFormula>
      </readingRecordFormula>
      <updatingRecordFormula>
      </updatingRecordFormula>
      <insertingFormula>
      </insertingFormula>
      <updatingFormula>
      </updatingFormula>
    </Column>
    <Column InternalName="23" Priority="24" ColumnNum="23">
      <columnName>Country</columnName>
      <columnUIName>%ISD_DEFAULT%</columnUIName>
      <columnType>Country</columnType>
      <columnDBType>nvarchar</columnDBType>
      <columnLengthSet>50</columnLengthSet>
      <columnDefault>
      </columnDefault>
      <columnDBDefault>
      </columnDBDefault>
      <columnIndex>N</columnIndex>
      <columnUnique>N</columnUnique>
      <columnFunction>
      </columnFunction>
      <columnDBFormat>
      </columnDBFormat>
      <columnPK>N</columnPK>
      <columnPermanent>N</columnPermanent>
      <columnComputed>N</columnComputed>
      <columnIdentity>N</columnIdentity>
      <columnReadOnly>N</columnReadOnly>
      <columnRequired>N</columnRequired>
      <columnNotNull>N</columnNotNull>
      <columnCaseSensitive Source="Database">N</columnCaseSensitive>
      <columnCollation>Thai_CI_AS</columnCollation>
      <columnFullText>N</columnFullText>
      <columnVisibleWidth>%ISD_DEFAULT%</columnVisibleWidth>
      <columnTableAliasName>
      </columnTableAliasName>
      <applyLabelText>Y</applyLabelText>
      <applyDFKA>N</applyDFKA>
      <applyInitializeInsertingRecord>N</applyInitializeInsertingRecord>
      <applyInitializeReadingRecord>N</applyInitializeReadingRecord>
      <applyInitializeUpdatingRecord>N</applyInitializeUpdatingRecord>
      <applyValidateInsertingRecord>N</applyValidateInsertingRecord>
      <applyValidateUpdatingRecord>N</applyValidateUpdatingRecord>
      <applyDefaultValue>N</applyDefaultValue>
      <insertingRecordFormula>
      </insertingRecordFormula>
      <readingRecordFormula>
      </readingRecordFormula>
      <updatingRecordFormula>
      </updatingRecordFormula>
      <insertingFormula>
      </insertingFormula>
      <updatingFormula>
      </updatingFormula>
    </Column>
    <Column InternalName="24" Priority="25" ColumnNum="24">
      <columnName>DateRank</columnName>
      <columnUIName>%ISD_DEFAULT%</columnUIName>
      <columnType>Date</columnType>
      <columnDBType>datetime</columnDBType>
      <columnLengthSet>
      </columnLengthSet>
      <columnDefault>
      </columnDefault>
      <columnDBDefault>
      </columnDBDefault>
      <columnIndex>N</columnIndex>
      <columnUnique>N</columnUnique>
      <columnFunction>
      </columnFunction>
      <columnFormat>d</columnFormat>
      <columnDBFormat>d</columnDBFormat>
      <columnPK>N</columnPK>
      <columnPermanent>N</columnPermanent>
      <columnComputed>N</columnComputed>
      <columnIdentity>N</columnIdentity>
      <columnReadOnly>N</columnReadOnly>
      <columnRequired>N</columnRequired>
      <columnNotNull>N</columnNotNull>
      <columnCaseSensitive>N</columnCaseSensitive>
      <columnCollation>
      </columnCollation>
      <columnFullText>N</columnFullText>
      <columnVisibleWidth>%ISD_DEFAULT%</columnVisibleWidth>
      <columnTableAliasName>
      </columnTableAliasName>
      <applyLabelText>Y</applyLabelText>
      <applyDFKA>N</applyDFKA>
      <applyInitializeInsertingRecord>N</applyInitializeInsertingRecord>
      <applyInitializeReadingRecord>N</applyInitializeReadingRecord>
      <applyInitializeUpdatingRecord>N</applyInitializeUpdatingRecord>
      <applyValidateInsertingRecord>N</applyValidateInsertingRecord>
      <applyValidateUpdatingRecord>N</applyValidateUpdatingRecord>
      <applyDefaultValue>N</applyDefaultValue>
      <insertingRecordFormula>
      </insertingRecordFormula>
      <readingRecordFormula>
      </readingRecordFormula>
      <updatingRecordFormula>
      </updatingRecordFormula>
      <insertingFormula>
      </insertingFormula>
      <updatingFormula>
      </updatingFormula>
    </Column>
    <Column InternalName="25" Priority="26" ColumnNum="25">
      <columnName>DatePrevRank</columnName>
      <columnUIName>%ISD_DEFAULT%</columnUIName>
      <columnType>Date</columnType>
      <columnDBType>datetime</columnDBType>
      <columnLengthSet>
      </columnLengthSet>
      <columnDefault>
      </columnDefault>
      <columnDBDefault>
      </columnDBDefault>
      <columnIndex>N</columnIndex>
      <columnUnique>N</columnUnique>
      <columnFunction>
      </columnFunction>
      <columnFormat>d</columnFormat>
      <columnDBFormat>d</columnDBFormat>
      <columnPK>N</columnPK>
      <columnPermanent>N</columnPermanent>
      <columnComputed>N</columnComputed>
      <columnIdentity>N</columnIdentity>
      <columnReadOnly>N</columnReadOnly>
      <columnRequired>N</columnRequired>
      <columnNotNull>N</columnNotNull>
      <columnCaseSensitive>N</columnCaseSensitive>
      <columnCollation>
      </columnCollation>
      <columnFullText>N</columnFullText>
      <columnVisibleWidth>%ISD_DEFAULT%</columnVisibleWidth>
      <columnTableAliasName>
      </columnTableAliasName>
      <applyLabelText>Y</applyLabelText>
      <applyDFKA>N</applyDFKA>
      <applyInitializeInsertingRecord>N</applyInitializeInsertingRecord>
      <applyInitializeReadingRecord>N</applyInitializeReadingRecord>
      <applyInitializeUpdatingRecord>N</applyInitializeUpdatingRecord>
      <applyValidateInsertingRecord>N</applyValidateInsertingRecord>
      <applyValidateUpdatingRecord>N</applyValidateUpdatingRecord>
      <applyDefaultValue>N</applyDefaultValue>
      <insertingRecordFormula>
      </insertingRecordFormula>
      <readingRecordFormula>
      </readingRecordFormula>
      <updatingRecordFormula>
      </updatingRecordFormula>
      <insertingFormula>
      </insertingFormula>
      <updatingFormula>
      </updatingFormula>
    </Column>
    <Column InternalName="26" Priority="27" ColumnNum="26">
      <columnName>StatusId</columnName>
      <columnUIName>%ISD_DEFAULT%</columnUIName>
      <columnType>Number</columnType>
      <columnDBType>tinyint</columnDBType>
      <columnLengthSet>3.0</columnLengthSet>
      <columnDefault>
      </columnDefault>
      <columnDBDefault>
      </columnDBDefault>
      <columnIndex>N</columnIndex>
      <columnUnique>N</columnUnique>
      <columnFunction>
      </columnFunction>
      <columnDBFormat>
      </columnDBFormat>
      <columnPK>N</columnPK>
      <columnPermanent>N</columnPermanent>
      <columnComputed>N</columnComputed>
      <columnIdentity>N</columnIdentity>
      <columnReadOnly>N</columnReadOnly>
      <columnRequired>N</columnRequired>
      <columnNotNull>N</columnNotNull>
      <columnCaseSensitive>N</columnCaseSensitive>
      <columnCollation>
      </columnCollation>
      <columnFullText>N</columnFullText>
      <columnVisibleWidth>%ISD_DEFAULT%</columnVisibleWidth>
      <columnTableAliasName>
      </columnTableAliasName>
      <applyLabelText>Y</applyLabelText>
      <applyDFKA>N</applyDFKA>
      <applyInitializeInsertingRecord>N</applyInitializeInsertingRecord>
      <applyInitializeReadingRecord>N</applyInitializeReadingRecord>
      <applyInitializeUpdatingRecord>N</applyInitializeUpdatingRecord>
      <applyValidateInsertingRecord>N</applyValidateInsertingRecord>
      <applyValidateUpdatingRecord>N</applyValidateUpdatingRecord>
      <applyDefaultValue>N</applyDefaultValue>
      <insertingRecordFormula>
      </insertingRecordFormula>
      <readingRecordFormula>
      </readingRecordFormula>
      <updatingRecordFormula>
      </updatingRecordFormula>
      <insertingFormula>
      </insertingFormula>
      <updatingFormula>
      </updatingFormula>
    </Column>
    <Column InternalName="27" Priority="28" ColumnNum="27">
      <columnName>RankLevelName</columnName>
      <columnUIName>ระดับยศ</columnUIName>
      <columnType>String</columnType>
      <columnDBType>nvarchar</columnDBType>
      <columnLengthSet>50</columnLengthSet>
      <columnDefault>
      </columnDefault>
      <columnDBDefault>
      </columnDBDefault>
      <columnIndex>N</columnIndex>
      <columnUnique>N</columnUnique>
      <columnFunction>
      </columnFunction>
      <columnDBFormat>
      </columnDBFormat>
      <columnPK>N</columnPK>
      <columnPermanent>N</columnPermanent>
      <columnComputed>N</columnComputed>
      <columnIdentity>N</columnIdentity>
      <columnReadOnly>N</columnReadOnly>
      <columnRequired>N</columnRequired>
      <columnNotNull>N</columnNotNull>
      <columnCaseSensitive Source="Database">N</columnCaseSensitive>
      <columnCollation>Thai_CI_AS</columnCollation>
      <columnFullText>N</columnFullText>
      <columnVisibleWidth>%ISD_DEFAULT%</columnVisibleWidth>
      <columnTableAliasName>
      </columnTableAliasName>
      <applyLabelText>Y</applyLabelText>
      <applyDFKA>N</applyDFKA>
      <applyInitializeInsertingRecord>N</applyInitializeInsertingRecord>
      <applyInitializeReadingRecord>N</applyInitializeReadingRecord>
      <applyInitializeUpdatingRecord>N</applyInitializeUpdatingRecord>
      <applyValidateInsertingRecord>N</applyValidateInsertingRecord>
      <applyValidateUpdatingRecord>N</applyValidateUpdatingRecord>
      <applyDefaultValue>N</applyDefaultValue>
      <insertingRecordFormula>
      </insertingRecordFormula>
      <readingRecordFormula>
      </readingRecordFormula>
      <updatingRecordFormula>
      </updatingRecordFormula>
      <insertingFormula>
      </insertingFormula>
      <updatingFormula>
      </updatingFormula>
    </Column>
    <Column InternalName="28" Priority="29" ColumnNum="28">
      <columnName>SectionAbbvrName</columnName>
      <columnUIName>หน่วย</columnUIName>
      <columnType>String</columnType>
      <columnDBType>nvarchar</columnDBType>
      <columnLengthSet>25</columnLengthSet>
      <columnDefault>
      </columnDefault>
      <columnDBDefault>
      </columnDBDefault>
      <columnIndex>N</columnIndex>
      <columnUnique>N</columnUnique>
      <columnFunction>
      </columnFunction>
      <columnDBFormat>
      </columnDBFormat>
      <columnPK>N</columnPK>
      <columnPermanent>N</columnPermanent>
      <columnComputed>N</columnComputed>
      <columnIdentity>N</columnIdentity>
      <columnReadOnly>N</columnReadOnly>
      <columnRequired>N</columnRequired>
      <columnNotNull>N</columnNotNull>
      <columnCaseSensitive Source="Database">N</columnCaseSensitive>
      <columnCollation>Thai_CI_AS</columnCollation>
      <columnFullText>N</columnFullText>
      <columnVisibleWidth>%ISD_DEFAULT%</columnVisibleWidth>
      <columnTableAliasName>
      </columnTableAliasName>
      <applyLabelText>Y</applyLabelText>
      <applyDFKA>N</applyDFKA>
      <applyInitializeInsertingRecord>N</applyInitializeInsertingRecord>
      <applyInitializeReadingRecord>N</applyInitializeReadingRecord>
      <applyInitializeUpdatingRecord>N</applyInitializeUpdatingRecord>
      <applyValidateInsertingRecord>N</applyValidateInsertingRecord>
      <applyValidateUpdatingRecord>N</applyValidateUpdatingRecord>
      <applyDefaultValue>N</applyDefaultValue>
      <insertingRecordFormula>
      </insertingRecordFormula>
      <readingRecordFormula>
      </readingRecordFormula>
      <updatingRecordFormula>
      </updatingRecordFormula>
      <insertingFormula>
      </insertingFormula>
      <updatingFormula>
      </updatingFormula>
    </Column>
    <Column InternalName="29" Priority="30" ColumnNum="29">
      <columnName>RankAndName</columnName>
      <columnUIName>ยศ ชื่อ นามสกุล</columnUIName>
      <columnType>String</columnType>
      <columnDBType>nvarchar</columnDBType>
      <columnLengthSet>208</columnLengthSet>
      <columnDefault>
      </columnDefault>
      <columnDBDefault>
      </columnDBDefault>
      <columnIndex>N</columnIndex>
      <columnUnique>N</columnUnique>
      <columnFunction>
      </columnFunction>
      <columnDBFormat>
      </columnDBFormat>
      <columnPK>N</columnPK>
      <columnPermanent>N</columnPermanent>
      <columnComputed>N</columnComputed>
      <columnIdentity>N</columnIdentity>
      <columnReadOnly>N</columnReadOnly>
      <columnRequired>N</columnRequired>
      <columnNotNull>N</columnNotNull>
      <columnCaseSensitive Source="Database">N</columnCaseSensitive>
      <columnCollation>Thai_CI_AS</columnCollation>
      <columnFullText>N</columnFullText>
      <columnVisibleWidth>%ISD_DEFAULT%</columnVisibleWidth>
      <columnTableAliasName>
      </columnTableAliasName>
      <applyLabelText>Y</applyLabelText>
      <applyDFKA>N</applyDFKA>
      <applyInitializeInsertingRecord>N</applyInitializeInsertingRecord>
      <applyInitializeReadingRecord>N</applyInitializeReadingRecord>
      <applyInitializeUpdatingRecord>N</applyInitializeUpdatingRecord>
      <applyValidateInsertingRecord>N</applyValidateInsertingRecord>
      <applyValidateUpdatingRecord>N</applyValidateUpdatingRecord>
      <applyDefaultValue>N</applyDefaultValue>
      <insertingRecordFormula>
      </insertingRecordFormula>
      <readingRecordFormula>
      </readingRecordFormula>
      <updatingRecordFormula>
      </updatingRecordFormula>
      <insertingFormula>
      </insertingFormula>
      <updatingFormula>
      </updatingFormula>
    </Column>
    <Column InternalName="30" Priority="31" ColumnNum="30">
      <columnName>RankLevel</columnName>
      <columnUIName Source="User">ระดับยศ</columnUIName>
      <columnType>Number</columnType>
      <columnDBType>int</columnDBType>
      <columnLengthSet>10.0</columnLengthSet>
      <columnDefault>
      </columnDefault>
      <columnDBDefault>
      </columnDBDefault>
      <columnIndex>N</columnIndex>
      <columnUnique>N</columnUnique>
      <columnFunction>
      </columnFunction>
      <columnDBFormat>
      </columnDBFormat>
      <columnPK>N</columnPK>
      <columnPermanent>N</columnPermanent>
      <columnComputed>N</columnComputed>
      <columnIdentity>N</columnIdentity>
      <columnReadOnly>N</columnReadOnly>
      <columnRequired>N</columnRequired>
      <columnNotNull>N</columnNotNull>
      <columnCaseSensitive>N</columnCaseSensitive>
      <columnCollation>
      </columnCollation>
      <columnFullText>N</columnFullText>
      <columnVisibleWidth>%ISD_DEFAULT%</columnVisibleWidth>
      <columnTableAliasName>
      </columnTableAliasName>
      <applyLabelText>Y</applyLabelText>
      <applyDFKA>Y</applyDFKA>
      <applyInitializeInsertingRecord>N</applyInitializeInsertingRecord>
      <applyInitializeReadingRecord>N</applyInitializeReadingRecord>
      <applyInitializeUpdatingRecord>N</applyInitializeUpdatingRecord>
      <applyValidateInsertingRecord>N</applyValidateInsertingRecord>
      <applyValidateUpdatingRecord>N</applyValidateUpdatingRecord>
      <applyDefaultValue>N</applyDefaultValue>
      <insertingRecordFormula>
      </insertingRecordFormula>
      <readingRecordFormula>
      </readingRecordFormula>
      <updatingRecordFormula>
      </updatingRecordFormula>
      <insertingFormula>
      </insertingFormula>
      <updatingFormula>
      </updatingFormula>
      <foreignKey>
        <columnFKName>VFK_View_MaxPersonalEducation_RankLevel_1</columnFKName>
        <columnFKTable>Rank</columnFKTable>
        <columnFKOwner>dbo</columnFKOwner>
        <columnFKColumn>RankLevel</columnFKColumn>
        <columnFKColumnDisplay>RankLevelName</columnFKColumnDisplay>
        <foreignKeyType>Implicit</foreignKeyType>
      </foreignKey>
    </Column>
  </ColumnDefinition>
  <TableName>View_MaxPersonalEducation</TableName>
  <Version>6</Version>
  <Owner>dbo</Owner>
  <TableCodeName>View_MaxPersonalEducation</TableCodeName>
  <TableAliasName>View_MaxPersonalEducation_</TableAliasName>
  <ConnectionName>DatabasePersons1</ConnectionName>
  <PagingMethod>RowNum</PagingMethod>
  <canCreateRecords Source="User">Y</canCreateRecords>
  <canEditRecords Source="User">Y</canEditRecords>
  <canDeleteRecords Source="User">Y</canDeleteRecords>
  <canViewRecords Source="Database">Y</canViewRecords>
  <AppShortName>Persons</AppShortName>
</XMLDefinition>